Bug 977835 - Configuration channel doesn't use a normalized absolutized version of the pathname.
Configuration channel doesn't use a normalized absolutized version of the pat...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2013-06-25 08:54 EDT by Pavel Studeník
Modified: 2015-05-29 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:12:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2013-06-25 08:54:46 EDT
Description of problem:
When I created configuration channel with some files, then pathname must be unique for one channel. But pathname is not in normalized absolutized format. 

For example: I can't create two file with similar pathname, on the other hand I can create files with following pathnames: /mnt/text.log /mnt/./text.log /mnt/a/../text.log 

Version-Release number of selected component (if applicable):
spacewalk-java-1.9.83-45.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. create configuration channel (Configuration -> Configuration Channels)
2. add files /mnt/text.log /mnt/./text.log /mnt/a/../text.log to this channel

Actual results:
Pathname is not in normalized absolutized format

Expected results:
I can't created file with identical normalized absolutized version of pathname
Comment 1 Jan Dobes 2013-07-02 05:16:35 EDT
When we are creating config files, we can check only the string of path, I created a patch for removing additional dots, slashes etc and path is normalized. But I'm not sure if it's worth to apply it, for example multiple symlinks can target to one file too and we can't detect them on satellite.

Note You need to log in before you can comment on or make changes to this bug.